!set title=Cómo multiplicar tres matrices
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr

ansorder=c,r,r
varcnt=17
prevarcnt=16
postvarcnt=0
replycnt=2
choicecnt=1
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!shuffle 10

val6=$(tmp0)
tmp0=!item 1 of $val6

val7=$[rint($(tmp0)+5)]
tmp0=!item 2 of $val6

val8=$[rint($(tmp0)+5)]
tmp0=!item 3 of $val6

val9=$[rint($(tmp0)+5)]
tmp0=!item 4 of $val6

val10=$[rint($(tmp0)+5)]
val11=ABC,ACB,BAC,BCA,CAB,CBA
tmp0=!randint 1, 6

val12=$[rint($(tmp0))]
tmp0=!item $val12 of $val11

val13=$(tmp0)
tmp0=!item $val12 of $val7,$val7,$val8,$val9,$val8,$val9

val14=$[rint($(tmp0))]
tmp0=!item $val12 of $val8,$val8,$val9,$val10,$val9,$val10

val15=$[rint($(tmp0))]
tmp0=!item $val12 of $val8,$val9,$val7,$val7,$val9,$val8

val16=$[rint($(tmp0))]
tmp0=!item $val12 of $val9,$val10,$val8,$val8,$val10,$val9

val17=$[rint($(tmp0))]
tmp0=!item $val12 of $val9,$val8,$val9,$val8,$val7,$val7

val18=$[rint($(tmp0))]
tmp0=!item $val12 of $val10,$val9,$val10,$val9,$val8,$val8

val19=$[rint($(tmp0))]
tmp0=!randitem 1,2

val20=$[rint($(tmp0))]
tmp0=!randitem 1,2

val21=$[rint($(tmp0))]
replyname1=Rows of the product
replygood1=$val7
replyname2=Columns of the product
replygood2=$val10
choicename1=The multiplication
choicegood1=$val13
choicebad1=$val11
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Tenemos 3 matrices, 
!insmath A
$(), 
!insmath B
$(), 
!insmath C
$(), cuyas dimensiones 	son las siguientes.	<p><center>	<table border=1>	<tr bgcolor=skyblue>	<th>Matrix<td align=center>$m_A<td align=center>$m_B<td align=center>$m_C	 
!if $val20=1 
$()	 <tr bgcolor=bisque><th>Dimension<td align=center>$val14&times;$val15	 <td align=center>$val16&times;$val17	 <td align=center>$val18&times;$val19	 
!else
$() 	 <tr bgcolor=bisque><th>Rows<td align=center>$val14	 <td align=center>$val16	 <td align=center>$val18	 <tr bgcolor=orange><th>Columns<td align=center>$val15	 <td align=center>$val17	 <td align=center>$val19	 
!endif
$()	</table></center> <p>	Se pide el orden en que se deben multiplicar las matrices 	para que sea posible obtener el producto de las tres.	 
!read oef/embed.phtml choice 1 
$()	<p>	En ese caso, ¿cuál es la dimensión de la matriz producto?	 
!if $val21=1 
$()	  
!read oef/embed.phtml reply 1,3 
$() &times;  
!read oef/embed.phtml reply 2,3 
$()	 
!else
$() 	  
!read oef/embed.phtml reply 1,3 
$() filas y  
!read oef/embed.phtml reply 2,3 
$() columnas.	 
!endif
$()
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=14,15,16,17,18,19,20,21
embedcnt=5
